Attribute values changed when deleting adjacent features in table
Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 7 Pro SP1 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26999

Description

Using a postgre database (version 10.3-1) with postgis extension (2.4.3).

While editing within the attribute table, a feature is selected and the "delete selected features" tool is used.  The selected feature is deleted

as expected but the value of an attribute in an adjacent feature row is changed automatically.  The change seems to mirror a value within

a different column of the same feature and the column affected appears to change depending which attribute field is currently selected.

History

#1 - 2019-01-08 06:31 PM - Julien Cabieces

- Status changed from Open to Closed

Issue still exists in 3.4.2 but not in current 3.4 branch, so I assume it has been corrected.

Try with 3.4 nightly build and let me know it's not the case.

#2 - 2019-01-08 07:34 PM - Giovanni Manghi

- Resolution set to fixed/implemented

#3 - 2019-02-06 12:02 AM - Beau Cripps

- Status changed from Closed to Reopened

Issue still occurring.  Tested with postgre 10.6, postgis 2.5.1, Qgis 3.4.4-Madeira using DB Manager 0.1.20

#4 - 2019-02-07 01:26 PM - Giovanni Manghi

- Status changed from Reopened to Closed

Beau Cripps wrote:

Issue still occurring.  Tested with postgre 10.6, postgis 2.5.1, Qgis 3.4.4-Madeira using DB Manager 0.1.20

Cannot replicate in any way on both Linux and Windows with QGIS 3.4.4/master.

Please try with a new/clean profile and/or attach a screencast showing the problem.
